/**
 * @file spinc.h
 * Defines data structures and API for spinc converter
 * Copyright (c) 2008, Steve Denson
 */

#ifndef SPINC_H
#define SPINC_H

#define SPIN_OBJSTART 0x0010

typedef struct spinobj_struct {
    short nextobj;
    char  pubcnt;
    char  objcnt;
    short pubstart;
    short numlocal;
} SpinObj_st;

typedef struct spinhdr_struct {
    int     clkfreq;
    char    clkmode;
    char    sum;
    short   objstart;
    short   varstart;
    short   stkstart;
    short   pubstart;
    short   stkbase;
    char*   code;
} SpinHdr_st;

#endif
// SPINC_H